# This Makefile.PL for Alien-Google-GRPC was generated by
# Dist::Zilla::Plugin::MakeMaker::Awesome 0.38.
# Don't edit it but the dist.ini and plugins used to construct it.

use strict;
use warnings;

use 5.010;
use ExtUtils::MakeMaker;

die 'Unsupported OS' if $^O eq 'MSWin32';
system( 'pkg-config --exists grpc++ > /dev/null 2>&1' );
if($? != 0){
print "NOTE: Both gPRC and pkg-config are not installed. Will build gRPC if build other prereqs are installed.\n";
die "This module neeeds git to build\n" unless (qx(which git) =~ /git/);
}

my %WriteMakefileArgs = (
  "ABSTRACT" => "Locates installed gRPC library. If not, downloads from Github and does a local install.",
  "AUTHOR" => "Tom Stall <stall\@cpan.org>",
  "BUILD_REQUIRES" => {
    "Alien::Build" => "0.40",
    "Alien::Build::MM" => "0.40",
    "ExtUtils::MakeMaker" => "6.52"
  },
  "CONFIGURE_REQUIRES" => {
    "Alien::Build" => "0.40",
    "Alien::Build::Git" => "0.02",
    "Alien::Build::MM" => "0.40",
    "Alien::Build::Plugin::Download::Git" => "0.02",
    "Alien::Build::Plugin::Extract::Directory" => "0.65",
    "Alien::Build::Plugin::Fetch::Git" => "0.02",
    "Alien::Build::Plugin::Prefer::SortVersions" => "0.65",
    "Alien::autoconf" => "0.03",
    "Alien::automake" => "0.05",
    "Alien::git" => "0.02",
    "Alien::libtool" => "0.04",
    "Alien::m4" => "0.11",
    "Capture::Tiny" => "0.46",
    "ExtUtils::MakeMaker" => "6.52"
  },
  "DISTNAME" => "Alien-Google-GRPC",
  "LICENSE" => "perl",
  "MIN_PERL_VERSION" => "5.010",
  "NAME" => "Alien::Google::GRPC",
  "PREREQ_PM" => {
    "Alien::Base" => 0,
    "base" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Capture::Tiny" => 0,
    "Data::Dumper" => 0,
    "Test::More" => 0
  },
  "VERSION" => "0.07",
  "test" => {
    "TESTS" => "t/*.t"
  }
);

my %FallbackPrereqs = (
  "Alien::Base" => 0,
  "Alien::Build" => "0.40",
  "Alien::Build::MM" => "0.40",
  "Capture::Tiny" => 0,
  "Data::Dumper" => 0,
  "ExtUtils::MakeMaker" => "6.52",
  "Test::More" => 0,
  "base" => 0,
  "strict" => 0,
  "warnings" => 0
);

# BEGIN code inserted by Dist::Zilla::Plugin::AlienBuild
use Alien::Build::MM;
my $abmm = Alien::Build::MM->new;
%WriteMakefileArgs = $abmm->mm_args(%WriteMakefileArgs);
# END code inserted by Dist::Zilla::Plugin::AlienBuild

unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

# BEGIN code inserted by Dist::Zilla::Plugin::AlienBuild
sub MY::postamble {
  $abmm->mm_postamble;
}
# END code inserted by Dist::Zilla::Plugin::AlienBuild
